Package org.dojotoolkit.shrinksafe

# Class Compressor

java.lang.Object
org.dojotoolkit.shrinksafe.Compressor

public class Compressor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Compressor()`

## Method Summary

Modifier and Type
Method
Description
`static final String`
`compressScript(String source, int indent, int lineno, boolean escapeUnicode, String stripConsole)`
`static final String`
`compressScript(String source, int indent, int lineno, boolean escapeUnicode, String stripConsole, StringBuffer debugData)`
`static final String`
`compressScript(String source, int indent, int lineno, String stripConsole)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Compressor

public Compressor()

## Method Details

### compressScript

public static final String compressScript(String source, int indent, int lineno, String stripConsole)

### compressScript

public static final String compressScript(String source, int indent, int lineno, boolean escapeUnicode, String stripConsole)

### compressScript

public static final String compressScript(String source, int indent, int lineno, boolean escapeUnicode, String stripConsole, StringBuffer debugData)